Package com.xebialabs.xlrelease.domain.variables.reference

## Class VariableReference

- java.lang.Object
- - com.xebialabs.xlrelease.domain.variables.reference.VariableReference

- All Implemented Interfaces:
    `java.lang.Comparable<VariableReference>`

      public class VariableReference
      extends java.lang.Object
      implements java.lang.Comparable<VariableReference>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `VariableReference.VariableUsageType` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `VariableReference​(java.lang.String key, VariableReference.VariableUsageType variableType)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addUsagePoint​(UsagePoint usagePoint, VariableReference.VariableUsageType usagePointType)` |
    `int` | `compareTo​(VariableReference that)` |
    `boolean` | `equals​(java.lang.Object other)` |
    `java.lang.String` | `getKey()` |
    `VariableReference.VariableUsageType` | `getType()` |
    `java.util.Set<UsagePoint>` | `getUsagePoints()` |
    `int` | `hashCode()` |
    `void` | `setType​(VariableReference.VariableUsageType type)` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VariableReference

          public VariableReference​(java.lang.String key,
                                   VariableReference.VariableUsageType variableType)

  - ### Method Detail

    - #### getKey

          public java.lang.String getKey()

    - #### getType

          public VariableReference.VariableUsageType getType()

    - #### setType

          public void setType​(VariableReference.VariableUsageType type)

    - #### getUsagePoints

          public java.util.Set<UsagePoint> getUsagePoints()

    - #### addUsagePoint

          public void addUsagePoint​(UsagePoint usagePoint,
                                    VariableReference.VariableUsageType usagePointType)

    - #### equals

          public boolean equals​(java.lang.Object other)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### compareTo

          public int compareTo​(VariableReference that)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<VariableReference>`